<?php
// $Id: kdbrunidentifier.php 5933 2009-11-11 20:55:40Z s_voec01 $
// Author: Sebastian Voecking <sebastian.voecking@uni-muenster.de>

class KDBRunIdentifier
{
    public $self = 0;

    function __construct($text)
    {
        if (!extension_loaded("kdbphp")) {
            throw new ADEIException("KDBPhp extension is not loaded!");
        }

        if (is_resource($text)) {
            $this->self = $text;
        }
        else {
            $this->self = new_RunIdentifier($text);
        }
    }

    function GetRun()
    {
        return RunIdentifier_GetRun($this->self);
    }

    function GetSubRun()
    {
        return RunIdentifier_GetSubRun($this->self);
    }

    function GetRunName()
    {
        return RunIdentifier_GetRunName($this->self);
    }

    function GetName()
    {
        return RunIdentifier_GetName($this->self);
    }

    function IsValid()
    {
        return RunIdentifier_IsValid($this->self);
    }
}

?>
