<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: katrinsearch.xsl 984 2009-08-20 13:54:13Z s_voec01 $ -->
<!-- Author: Sebastian Voecking <sebastian.voecking@uni-muenster.de -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="xml" version="1.0" encoding="utf-8"/>

<xsl:template match="run">
     <p>
         <xsl:element name="a">
             <xsl:attribute name="href">javascript:katrin.SetCustomProperties('run=<xsl:value-of select="@identifier"/>')</xsl:attribute>
             Run <xsl:value-of select="@identifier"/>
         </xsl:element>
         <br />
         <span style="font-size:80%">
             <xsl:value-of select="@start" /> - <xsl:value-of select="@end" />
         </span>
         <br />
         <xsl:apply-templates select="subrun"/>
     </p>
</xsl:template>


<xsl:template match="subrun">
    <span style="font-size:90%; margin:0em 2em; padding: 0em">
        <xsl:element name="a">
            <xsl:attribute name="href">javascript:katrin.SetCustomProperties('run=<xsl:value-of select="@identifier"/>')</xsl:attribute>
            Subrun <xsl:value-of select="@identifier"/>
        </xsl:element>
        <br />
        <span style="font-size:80%">
            <xsl:value-of select="@start" /> - <xsl:value-of select="@end" />
        </span>
    </span>
 </xsl:template>

 <xsl:template match="/result">
  <div>
    <xsl:if test="//Error">
	<span class="error"><xsl:value-of select="//Error"/></span>
    </xsl:if>
    
    <xsl:if test="not(//Error)">
	<h4>Found runs:</h4>
	<xsl:apply-templates select="run"/>
    </xsl:if>	
  </div>
 </xsl:template>
</xsl:stylesheet>
